メインコンテンツへスキップ
POST
/
automation
/
v4
/
workflow-id-mappings
/
batch
/
read
ワークフローIDのマッピングを取得
curl --request POST \
  --url https://api.hubapi.com/automation/v4/workflow-id-mappings/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "flowMigrationStatuses": "<string>",
      "type": "FLOW_ID"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "flowId": 123,
      "workflowId": 123
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -Professional
Service HubService Hub -Professional
Content HubContent Hub -Professional

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
inputs
(FLOW_ID · object | WORKFLOW_ID · object)[]
必須

レスポンス

successful operation

completedAt
string<date-time>
必須

日付-時刻文字列として書式設定される、バッチ処理が完了された日時。

results
object[]
必須
startedAt
string<date-time>
必須

日付-時刻文字列として書式設定される、バッチ処理が開始された日時。

status
enum<string>
必須

次の値を取り得る、バッチ処理の現在のステータス:CANCELED、COMPLETE、PENDING、PROCESSING。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

バッチ処理に関連付けられたURLのコレクション。

requestedAt
string<date-time>

日付-時刻文字列として書式設定される、バッチリクエストが開始された日時。

Last modified on March 30, 2026